#ifndef __OOL_XAPPLICATION_H__
#define __OOL_XAPPLICATION_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XApplication                          */
/*                       derived from: XProcess                              */
/*                        last update: 12/96                                 */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/


#include "xprocess.h"


class _export_ XApplication: public XProcess
{
      friend class XResourceLibrary;
   private:
      XResourceLibrary * resLib;
   public:
      XApplication();
      virtual ~XApplication();
      XResourceLibrary * GetResourceLibrary(void) const { return resLib; }
      virtual void Terminate( void );
};


#endif
