#ifndef __OOL_XBITMAPSHADOW_H__
#define __OOL_XBITMAPSHADOW_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XBitmapShadow                         */
/*                       derived from: XGraphicObject                        */
/*                        last update: 12/96                                 */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/


#include "xgraphob.h"
#include "XPoint.h"
#include "XBitmap.h"

class _export_ XBitmapShadow: public XGraphicObject
{
   private:
      XBitmap * bmp;
      BOOL HitTest( const LONG x, const LONG y);
   public:
      XBitmapShadow( const XBitmap*, const XPoint*);
      void Draw( const XRect* );
};

#endif
