#ifndef __OOL_XCLIPBRD_H__
#define __OOL_XCLIPBRD_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XClipBoard                            */
/*                       derived from: XObject                               */
/*                        last update: 9/96                                  */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/



#include "xobject.h"

class XWindow;
class XBitmap;
class XString;

class _export_  XClipBoard: public XObject
{
      BOOL isOpen;
      HAB hab;
   public:
      XClipBoard( const XWindow * win);
      virtual ~XClipBoard();
      void Empty(void) const { WinEmptyClipbrd ( hab); }
      BOOL IsOpen(void) const {return isOpen; }
      void GetBitmap( XBitmap * );
      void GetText( XString * );
      BOOL SetBitmap( const XBitmap *);
      BOOL SetText( const char * p, const ULONG len = 0);
};

#endif
