#ifndef __XDIALOG_H__
#define __XDIALOG_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XDialog		                          */
/*                       derived from: XWindow                               */
/*                        last update: 4/97                                  */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/



#include "XWindow.h"
#include "XProcess.h"
class XResource;


class _export_ XDialog: public XWindow
{
   protected:
      SHORT command;
      XDialog( ) { winhandle = 0; }		
		XProcess * process;
   public:
      SHORT GetCommand() const { return command; }
		~XDialog() { if ( process ) process->RemoveWindow(this); }
};

#endif
