#ifndef __OOL_XMEDIA_H__
#define __OOL_XMEDIA_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XMediaWindow                          */
/*                       derived from: XObjectWindow                         */
/*                        last update: 12/96                                 */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/


#include "xobjwnd.h"


#define MEDIA_NOTIFY   0x0500

class XFrameWindow;

class _export_ XMediaWindow: public XObjectWindow{
	protected:
		ULONG mediaId;
		char * commandString;
		char idString[30];
		BOOL errorEnabled;
		XFrameWindow * owner;
		LONG SendMCIString( const USHORT notifyMessage = 0 );
	public:
		XMediaWindow ( const XFrameWindow * );
		virtual ~XMediaWindow();
		LONG Acquire( void );
		LONG Pause( void );
		LONG Play( void );
		LONG Rewind( void );
		virtual LONG SetDataFile( const char * p);
};

#endif
