#ifndef __OOL_XOPOPUP_H__
#define __OOL_XOPOPUP_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XPopupMenu                            */
/*                       derived from: XMenu                                 */
/*                        last update: 12/96                                 */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/



#include "xmenu.h"

class XResource;
class XPoint;
class XWindow;

class _export_ XPopupMenu: public XMenu
{
   private:
     XWindow * owner;
   public:
     XPopupMenu( XResource *, XWindow *);
     virtual ~XPopupMenu() {;}
     void Display( XPoint * p, USHORT def = 0, ULONG style= PU_HCONSTRAIN | PU_VCONSTRAIN | PU_KEYBOARD | PU_POSITIONONITEM | PU_NONE | PU_MOUSEBUTTON1);
     BOOL IsPopup(void) const { return TRUE; }
};

#endif
