#include "sample11.h"

MyWindow::MyWindow( XResource* pres ) : XFrameWindow( pres, "Java Applet" ) 
{
        XRect rect( 100, 200, 510, 215 );

        pApplet = new XJavaApplet( this, &rect,
                                   "file:///./sample11.html",
                                   "SpreadSheet"                   );
        SetSize( &rect );
        SetClient( pApplet );
        pApplet->Start();
}


MyApp::MyApp( void ) : XApplication()
{
        pJavaEnv = new XJavaEnvironment();
        pJavaEnv->GetMessageHandler()->ShowConsole();

        XResourceLibrary resLib( this );
        XResource        res( ID_SAMPLE10, &resLib );
        pMyWin = new MyWindow( &res );
}

MyApp::~MyApp()
{
        delete pMyWin;
        delete pJavaEnv;
}


void main( int argc, char** argv )
{
        MyApp* pApp = new MyApp();
        pApp->Start();
        delete pApp;
}

