#ifndef __XEVENTSEM_H__
#define __XEVENTSEM_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XEventSemaphore                       */
/*                       derived from: XSemaphore                            */
/*                        last update: 3/97                                  */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/

#include "xsem.h"

class _export_ XEventSemaphore:public XSemaphore
{
	public:
		XEventSemaphore(char * name, BOOL shared, BOOL isSet=FALSE);
		XEventSemaphore(char * name);
		~XEventSemaphore();
		ULONG Reset();
		void Close();
		void Post();
		void Wait( LONG timeOut);
};

#endif
