#ifndef __OOL_XMARKER_H__
#define __OOL_XMARKER_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XMarker                               */
/*                       derived from: XGraphicObject                        */
/*                        last update: 12/96                                 */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/



#include "xgraphob.h"
#include "xpoint.h"
#include "xsize.h"

class _export_ XMarker: public XGraphicObject
{
   private:
      char type;
      //SHORT cx, cy;
		XSize size;
   public:
      XMarker( const XGraphicDevice * d, const XPoint * point, const SHORT t = MARKSYM_SOLIDSQUARE);
      virtual ~XMarker() {;}
      void Draw( const XRect * r = NULL);
      void GetSize( XSize * s) { *s = size; }
      void SetSize( const XSize * s) { size = *s; }
      void SetupDevice(void);
};


#endif
