#ifndef __OOL_XMENUBAR_H__
#define __OOL_XMENUBAR_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XMenuBar                              */
/*                       derived from: XMenu                                 */
/*                        last update: 12/96                                 */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/

#include "xmenu.h"

class XFrameWindow;
class XResource;

class _export_ XMenuBar: public XMenu{
      friend void BuildChilds( HWND );
      friend XFrameWindow;
   private:
      XMenuBar( const LONG hwnd);
   public:
      XMenuBar( const XFrameWindow *, const XResource*);
      virtual ~XMenuBar();
      void Show( const BOOL show = TRUE);
};


#endif
