#ifndef __OOL_XVIDEO_H__
#define __OOL_XVIDEO_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XVideo                                */
/*                       derived from: XMediaWindow                          */
/*                        last update: 2/97                                  */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/


#include "xmedia.h"

class XFrameWindow;


class _export_ XVideo: public XMediaWindow{
   public:
      XVideo( const XFrameWindow *);
      virtual ~XVideo();
      LONG CloseDevice( void );
      LONG OpenDevice( void );
      LONG Restore( void );
      LONG SetViewPort( const XFrameWindow * w);
      LONG SetVolume( const USHORT volumePercent);
};

#endif
