/* sample2 has no special functionality, it only try to seem like a web-    */
/* browser you know. sample2 shows you how to                               */
/* - create standard applications                                           */
/* - use menubars                                                           */
/* - create window-controls of different types                              */
/* - create toolbars and attach window- controls to them                    */
/* - special gimmick: a graphic-button which displays an animation          */

#include "xheaders.h"

#include XApplication_i
#include XFrameWindow_i
#include XResourceLibrary_i
#include XMenuBar_i
#include XRect_i
#include XHelpInstance_i
#include XResource_i
#include XToolBar_i
#include XPushButton_i
#include XComboBox_i
#include XStaticText_i
#include XStaticIcon_i
#include XStaticBitmap_i
#include XStaticFrame_i
#include XControlEvent_i
#include XGraphicButton_i

#include "resource.h"

class MyToolBar;

class MyAppWindow: public XFrameWindow
{
   friend class MyWebView;
   public:
      MyAppWindow( XApplication * app, XResource );
      BOOL DoCommand( LONG);
      void DoControl( XControlEvent * e);
//      void Draw( void );
      BOOL QueryForClose( void );
   private:
      XMenuBar * menu;
      MyToolBar * toolBar1, *toolBar2;
      XToolBar *toolBar3;
      XPushButton * back, *forward, * home;
      XComboBox * http;
      XStaticText * text, *text2;
      XGraphicButton * animation;
      XStaticBitmap * key;
      XStaticFrame * border;
      XHelpInstance * help;
      MyWebView * webView;
      BOOL loading;
};


class MyApp: public XApplication
{
   public:
      BOOL QueryForQuit( void );
      MyAppWindow * window;
};

