/* sample6 shows the behavior of some controls like XValueSet, XSlider etc. */

#include "xheaders.h"

#include XApplication_i
#include XResourceLibrary_i
#include XRect_i
#include XResource_i
#include XFrameWindow_i
#include XUserButton_i
#include XBitmap_i
#include XStaticText_i
#include XPie_i
#include XBar_i

#include "resource.h"

class MyAppWindow: public XFrameWindow
{
      BOOL doorOpen;
      XBitmap * map;
      XUserButton * btn;
      XStaticText * text;
      XPie * pie;
   public:
      MyAppWindow( XApplication * app, XResource *);
      ~MyAppWindow();
      void DoControl( XControlEvent*);
      void Draw( void );
      BOOL QueryForClose( void );
};


class MyApp: public XApplication
{
   private:
      MyAppWindow * window;
   public:
      MyApp();
};


